.crescendi-popular-posts__list {
    margin: 0;
    padding: 0;
    list-style: none;
    counter-reset: popular-ranking;
}

.crescendi-popular-posts__item {
    position: relative;
    margin: 0 0 16px;
    counter-increment: popular-ranking;
}

.crescendi-popular-posts__link {
    display: flex;
    gap: 12px;
    align-items: center;
    color: inherit;
    text-decoration: none;
    gap: .5rem;
}

.crescendi-popular-posts__thumbnail {
    position: relative;
    flex: 0 0 33%;
    aspect-ratio: 4/3;
}

.crescendi-popular-posts__thumbnail img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.crescendi-popular-posts__thumbnail::before {
    content: counter(popular-ranking);
    position: absolute;
    top: -2px;
    left: 2px;
    z-index: 1;

    display: flex;
    justify-content: center;
    padding: .25em .25em 1.5em;
    height: 1em;

    clip-path: polygon(0 0,100% 0,100% 100%,50% 75%,0 100%);
    background: #f5f5f5;
    color: #333;

    font-size: 14px;
    font-weight: 700;
    line-height: 1;

    filter: drop-shadow(0 0 2px #fff) drop-shadow(2px 2px 4px #000);
}
.crescendi-popular-posts__item{
    &:nth-child(1){
        .crescendi-popular-posts__thumbnail::before{
            background: #f1c40f;
            color: #fff;
        }
    }
    &:nth-child(2){
        .crescendi-popular-posts__thumbnail::before{
            background: #ABA8A8;
            color: #fff;
        }
    }
    &:nth-child(3){
        .crescendi-popular-posts__thumbnail::before{
            background:#D18858;
            color: #fff;
        }
    }
}

.crescendi-popular-posts__title {
    line-height: 1.5;
}